Subject: Re: Possible bug in Git

From: Thomas Rast <[email-masked]>
Date: Fri, 16 Apr 2010 19:00:26 +0200

Junio C Hamano wrote:
> There was already a "fix" posted for the "empty vs missing" confusion.
> 
> From: Thomas Rast <[email-masked]>
> Subject: [PATCH] combined diff: correctly handle truncated file
> Date: Thu, 15 Apr 2010 14:59:37 +0200
> Message-ID:
>  <[email-masked]>
> 
> I've been busy for the past few days, but I have it in my 'to-maint'
> queue.  We may actually want to do the same for "missing" case as well,
> though.

Why?  The evil deletion is already reported as

  diff --cc foo
  index 5716ca5,7601807..0000000
  deleted file mode 100644,100644
  --- a/foo
  +++ /dev/null

with no diff -- but the absence of a diff is because of your 4462731
(combine-diff: do not punt on removed or added files., 2006-02-06) and
I tend to agree with the reasoning.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch